---
name: Bug Report
about: Create a report to help us improve
title: '[BUG] '
labels: bug
assignees: ''
---

## 🐛 Bug Description
A clear and concise description of what the bug is.

## 🔄 Steps to Reproduce
1. Run `enhanced-mcp` or specific command
2. Use tool `xyz` with parameters `...`
3. See error

## ✅ Expected Behavior
A clear description of what you expected to happen.

## ❌ Actual Behavior
What actually happened instead.

## 🖥️ Environment
- **OS**: [e.g. macOS 14.1, Ubuntu 22.04, Windows 11]
- **Python Version**: [e.g. 3.11.5]
- **Package Version**: [e.g. 1.0.0]
- **Installation Method**: [e.g. pip, uv, from source]

## 📋 Additional Context
- Error messages/logs
- MCP client being used (Claude Desktop, Cursor, etc.)
- Configuration files (redact sensitive info)

## 🔍 Error Log
```
Paste any error messages or logs here
```
